Requirements for Reliable Wireless Industrial Services
Rute C. Sofia
fortiss GmbH
Guerickestr. 25
Munich
80805
Germany
sofia@fortiss.org
Paulo Milheiro Mendes
Airbus
Willy-Messerschmitt Strasse 1
Munich
81663
Germany
paulo.mendes@airbus.com
Carlos J. Bernardos, Ed.
Universidad Carlos III de Madrid
Av. Universidad, 30
Leganes, Madrid
28911
Spain
+34 91624 6236
cjbc@it.uc3m.es
http://www.it.uc3m.es/cjbc/
Eve Schooler
University of Oxford
USA
eve.schooler@gmail.com
http://www.eveschooler.com
Routing
Deterministic Networking Working Group
Internet-Draft
This document provides an overview of the communication requirements for handling reliable wireless services in the context of industrial environments. The aim of the draft is to raise awareness of the communication requirements of current and future wireless industrial services; how they can coexist with wired infrastructures; the key drivers for reliable wireless integration; the relevant communication requirements to be considered; the current and future challenges arising from the use of wireless services; and the potential benefits of wireless communication.

Introduction
In industrial environments, short-range wireless standards such as IEEE 802.11ax are gaining momentum as the need for flexibility in infrastructure design and process support increases.
Wireless, and in particular the latest evolution of Wi-Fi, has reached a level of maturity where the technology can support the stringent requirements of industrial environments, while being compatible with traditional fixed core networks. Wireless technologies bring flexibility, lower operating costs and higher availability to industrial systems at the edge in scenarios that require support for mobility or large-scale integration of sensing devices.
However, there are barriers to the integration of wireless in industrial environments. Firstly, as wireless is a shared medium, it faces challenges such as interference and signal strength variability depending on the environment. These characteristics raise questions about the availability, resilience and security support of critical services. Secondly, wireless relies on probabilistic Quality of Service (QoS) and therefore requires tuning to support time-sensitive traffic with limited latency, low jitter and zero congestion loss.
Still, recent advances in OFDMA-based wireless in the context of IEEE 802.11 standards, such as 802.11ax and 802.11be, bring interesting features in the context of supporting critical industrial applications and services, such as a greater degree of flexibility in terms of resource management; frequency allocation aspects that can provide better traffic isolation; or even mechanisms that can support tighter time synchronisation across wireless environments, thus providing the means to better support traffic in converged networks.
To address the communication challenges that exist in industrial domains, it is necessary to have a better understanding of the communication requirements that current and future industrial applications may attain.
Therefore, the focus of this draft is to discuss the requirements of current and future industrial applications and how best to support time-sensitive applications and services within converged industrial networks.
To this end, the draft addresses issues related to industrial wireless services, gathered from relevant normative and informational references in the industrial domain; discusses key drivers for wireless integration; identifies specific wireless mechanisms that can support such integration and the challenges they face; and elaborates specific requirements to be considered for both current wireless services and a subset of future industrial wireless services.

Conventions used in this document
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in RFC 2119 [RFC2119]. In this document, these words will appear with that interpretation only when in ALL CAPS. Lower case uses of these words are not to be interpreted as carrying significance described in RFC 2119.

Definitions
- Latency (also known as bounded latency) refers to the end-to-end transmission delay between a sender and a receiver when a traffic flow is initiated by an application. By definition, latency corresponds to the time interval between the sending of the first packet of a flow from a source to a destination and the time at which the last packet of that flow is received.
- "Periodicity" indicates whether or not the data transmission is periodic and, where possible, the specific periodicity per unit of time has been specified.
- "Transmit data size" corresponds to the data payload in bytes.
- "Packet loss tolerance" is shown as 0 (zero congestion loss); tolerant (the application is tolerant of packet loss). Packet loss occurs when packets fail to reach a particular destination on a network. Packet loss is usually measured as a percentage of packets lost relative to the total number of packets sent. In the context of deterministic networking, and in particular Time-sensitive Networking (TSN), a packet is lost if it is not received within a specified time.
- "Time sync" refers to the need to ensure IEEE 1588 synchronization.
- "Node Density" gives an indication (where available) of the number of end nodes per 20mx20m.

Wireless Industrial Services today
This section describes industrial applications where wireless technologies (mostly IEEE 802.11) are already being used, derived from an analysis of related work.
Industrial wireless services focused on empowering industrial manufacturing environments have been extensively documented via the IEEE Nendica group [NENDICA], the Internet Industrial Consortium [IIC], the OPC FLC working group [OPCFLC]. The IEEE Nendica 2020 report [NENDICA] includes several end-to-end use-cases and a technical analysis of the identified features and functions supported by wireless/wired deterministic environments. Based on surveys to industry, the report provides a first characterisation of wireless services in factories (Wi-Fi 5), describing the scenarios in terms of aspects such as as payload size in bytes, communication rate, arrival time tolerance, node density.
The IEEE 802.11 RTA report [IEEERTA] provides additional input on supporting wireless for time-sensitive and real-time applications. For each category of application, the report provides a description, basic information concerning topology and packet flow/traffic model, and summarises the problem statement (key challenges). The industrial applications in this report are a subset and have also considered sources such as IEEE Nendica, IEC/IEEE 60802 Use-cases, as well as 3GPP TR 22.804. The report groups the different services into 3 classes (A,B,C) and provides communication requirements for each class categorised as: bounded latency (worst-case one-way latency measured at the application layer); reliability (defined as the percentage of packets expected to be received within the bounded latency); time synchronisation requirements (in the order of micro/milliseconds); throughput requirements (high, medium, low). The report concludes with guidelines on implementation aspects, e.g., traffic classification aspects and new capabilities to support real-time applications.
The Avnu Alliance provides a white paper describing the steps for integrating TSN over Wi-Fi [AVNU2020], briefly describing the integration of Wi-Fi in specific applications such as: closed loop control, mobile robots, power grid control, professional audio/video, gaming, AR/VR. The document also raises awareness to the possibility of wireless replacing or complementing wired systems in connected cabines, i.e., in regards to the wiring harness in vehicles (cars, airplanes, trains), which is currently expensive and requires complex onboarding. Wireless can help reduce costs if it can be adapted to the critical latency, safety requirements and regulations. According to Avnu, such cases would require 100 micosecond level cycles. Communication requirements are summarised in terms of whether or not IEEE 1588 synchronisation is required; the typical packet size (data payload); bounded latency; reliability.
Manufacturing wireless use-cases have also been discussed in the context of 5G ACIA [ACIA], NICT [NICT], and IETF Deterministic Networking [RFC8578]. These sources provide an overview on user stories, and discuss the challenges posed by wireless integration. However, the communication requirements are not systematically presented. Finally, IETF RFC9450 provides an initial overview on the challenges of wireless industrial use-cases [RFC9450].
Derived from the analysis of the above sources, this section provides a description of service categories and their communication requirements. The following application categories, which cover most of the areas today and also span a broad range of requirements, are addressed:
- Equipment and process control.
- Quality supervision.
- Factory resource management.
- Display.
- Human safety.
- Industrial systems.
- Mobile robots.
- Drones/UAV control.
- Power grid control.
- Communication-based train networks.
- Mining industry.
- Connected cabin.
The communication requirements selected and presented for each service category have been extracted from the various available related works. The parameters are: bounded latency; periodicity; transmitted data size; packet loss tolerance; time synchronisation requirements; node density characterisation.

Equipment and Process Control Services
This category of industrial wireless services refers to the data exchange required to send commands to, for example, mobile robots/vehicles, production equipment, and to receive status information. Reasons for wireless integration are: flexibility of use, reconfigurability, mobility, reduction of maintenance costs.
In this category, examples of services and their communication requirements are:
- Control of machines and robots.
  - Bounded latency: below 10 ms.
  - Periodic.
  - Transmit data size (bytes): 10-400 (small).
  - Tolerance to packet loss: 0.
  - Time synchronization: IEEE 1588.
  - Node density: 1 to 20 (per 20mx20m area).
- AGVs with rails
  - Bounded latency: 10 ms-100ms.
  - Periodic, once per minute.
  - Transmit data size (bytes): 10-400 (small).
  - Tolerance to packet loss: 0.
  - Time synchronization: IEEE 1588.
  - Node density: 1 to 20 (per 20mx20m area).
- AGVs without rails
  - Bounded latency:1 s.
  - Periodic, once per minute.
  - Transmit data size (bytes): 10-400 (small).
  - Tolerance to packet loss: 0.
  - Time synchronization: IEEE 1588.
  - Node density: 1 to 20 (per 20mx20m area).
- Hard-real time isochronous control, motion control
  - Bounded latency: 250us - 1ms.
  - Periodic.
  - Transmit data size (bytes): 10-400 (small).
  - Tolerance to packet loss: 0.
  - Time synchronization: IEEE 1588.
  - Node density: 1 to 20 (per 20mx20m area).
- Printing, packaging
  - Bounded latency: below 2 ms.
  - Transmit data size (bytes): 10-400 (small).
  - Tolerance to packet loss: 0.
  - Time synchronization: IEEE 1588.
  - Node density: over 50 to 100.
- PLC to PLC communication
  - Bounded latency: 100 us-50 ms.
  - Transmit data size (bytes): 100-700.
  - Tolerance to packet loss: 0.
  - Time synchronization: IEEE 1588.
- Interactive video
  - Bounded latency: 50 -10 ms.
  - Time synchronization: 10-1 "U+00B5" s.
- Mobile robotics
  - Bounded latency: 50-10 ms.
- AR/VR, remote HMI
  - Bounded latency: 10 - 1 ms.
  - Time synchronization: ~1 "U+00B5" s.
  - Time synchronization: 10-1 "U+00B5" s.
- Machine, production line controls
  - Bounded latency: 10 - 1 ms.

Quality Control Services
Quality control includes industrial services that collect and evaluate information about products and machine conditions during production. Reasons for wireless integration: flexibility of use, reduction of maintenance costs.
Examples of services in this category, and their communication requirements are:
- Inline inspection
  - Bounded latency: bellow 10ms.
  - Time synchronization: 10-1 "U+00B5"s.
  - Periodic, once per second.
  - Transmit data size (bytes): 64-1M.
  - Tolerance to packet loss: 0.
  - Node density: 1-10 (per 20mx20m).
- Machine operation recording
  - Bounded latency: over 100 s.
  - Time synchronization: 10-1 "U+00B5"s.
  - Periodic, once per second.
  - Transmit data size (bytes): 64-1M.
  - Tolerance to packet loss: 0.
  - Node density: 1-10 (per 20mx20m).
- Logging
  - Bounded latency: over 100s.
  - Time synchronization: 10-1 "U+00B5"s.
  - Transmit data size (bytes): 64-1M.
  - Tolerance to packet loss: 0.
  - Node density: 1-10 (per 20mx20m).

Factory Resource Management Services
Refers to the collection of information on whether production is taking place in the correct environmental conditions, and whether people and equipment contributing to increased productivity are being managed appropriately. Reasons for wireless integration include: flexibility of use, reconfigurability, reduction in maintenance costs.
The applications discussed in this context are:
- Machine monitoring
  - Bounded latency: 100ms-10s.
  - Periodic.
  - Time synchronization: 10-1 "U+00B5" s.
  - Transmit data size (bytes): 10-10M.
  - Tolerance to packet loss: 0.
  - Node density: 1-30.
- Preventive maintenance
  - Bounded latency: over 100ms.
  - Periodic, once per event.
- Positioning, motion analysis
  - Bounded latency: 50ms-10s.
  - Periodic, once per second.
- Inventory control
  - Bounded latency: 50ms-10s.
  - Periodic, once per second.
- Facility control environment
  - Bounded latency: 1s-50s.
  - Periodic, once per minute.
- Checking status of material, small equipment
  - Bounded latency: 100ms-1s.
  - Sporadic, 1 to 10 times per 30 minutes.

Display Services
This category of services is aimed at workers, enabling them to obtain the support information they require. It also targets managers in terms of monitoring production status and processes. Reasons for wireless integration are: scalability, flexibility of deployment, support for mobility. Examples of services are:
- Work commands, e.g., wearable displays
  - Bounded latency: 1-10s.
  - Sporadic, once per 10s-1m.
  - Transmit data size (bytes): 10-6K.
  - Tolerance to packet loss: yes.
  - Node density: 1-30
- Display information
  - Bounded latency: 10s.
  - Sporadic, once per hour.
  - Transmit data size (bytes): 10-6K.
  - Tolerance to packet loss: yes.
  - Node density: 1-30.
- Supporting maintenance (video, audio)
  - Bounded latency: 500ms.
  - Sporadic, once per 100ms.
  - Transmit data size (bytes): 10-6K.
  - Tolerance to packet loss: yes.
  - Node density: 1-30.

Human Safety Services
Refers to industrial wireless services concerned with the collection of data to infer potential hazards to workers in industrial environments. The need for wireless integration concerns: support for pervasive deployment; mobility.
Examples of services are:
- Detection of dangerous situations/operations
  - Bounded latency: 1s.
  - Periodic, 10 per second (10 fps).
  - Transmit data size (bytes): 2-100K.
  - Tolerance to packet loss: yes.
  - Node density: 1-50.
- Vital sign monitoring, dangerous behaviour detection
  - Bounded latency: 1s-50s.
  - Periodic, once per minute.
  - Transmit data size (bytes): 2-100K.
  - Tolerance to packet loss: 0.
  - Node density: 1-30.

Mobile Robotics Services
Refers to services that support the communication between robots, e.g., task sharing; guidance control including data processing, AV, alerts. Reasons for considering wireless integration are: the need to support mobility and reconfigurability.
- Video operated remote control
  - Bounded latency: 10-100ms.
  - Transmit data size (bytes): 15-150K.
  - Tolerance to packet loss: yes.
  - Node density: 2-100.
- Assembly of robots or milling machines
  - Bounded latency: 4-8ms.
  - Transmit data size (bytes): 40-250.
  - Tolerance to packet loss: yes.
  - Node density: 2-100.
- Operation of mobile cranes
  - Bounded latency: 12ms.
  - Periodic, once per 2-5ms.
  - Transmit data size (bytes): 40-250.
  - Tolerance to packet loss: yes.
  - Node density: 2-100.
- Drone/UAV air monitoring
  - Bounded latency: 100ms.
  - Tolerance to packet loss: yes.

Power Grid Control
Grid control refers to services that support communication links for predictive maintenance and fault isolation on high-voltage lines, transformers, reactors, etc. Reasons for wireless integration include: reducing the cost of wire replacement maintenance.
- Bounded latency: 1-10ms.
- Transmit data size (bytes): 20-50.
- Time synchronization: IEEE 1588.
- Tolerance to packet loss: yes.
- Node density: 2-100.

Wireless Avionics Intra-communication
Wireless integration is also relevant to industrial environments in the context of cabling replacement. Within the context of avionics [AVIONICS], Wireless Avionics Intra-communication (WAIC) systems [WAIC] are expected to benefit significantly from deterministic communication due to their higher criticality. For example, flight control systemswhich integrate a large number of endpoints (sensors and actuators), require high reliability and bounded latency to help estimate and control the state of the aircraft. Real-time data must be delivered with strict deadlines for most control systems.
The WAIC standardisation process is still ongoing, with no clear indication of the frequencies that would be reserved for such systems, although the frequency band 4.2 GHz to 4.4 GHz seems to be the most popular at the moment. Nevertheless, regardless of the allocated frequency bands, the deterministic guarantees required by WAIC services can be achieved by integrating functionality developed in current wireless standards.
However, the following requirements are expected to be supported by wireless technology in order to ensure the deterministic operation of WAIC systems:
- MUST provide deterministic behaviour in short radio ranges (< 100m).
- MUST use low transmit power levels for low rate (10mW) and high rate (50mW) applications.
- MUST ensure good system reconfigurability.
- MUST support dissimilar redundancy.
Specific communication needs can be identified in terms of potential KPIs:
- Latency: 20-40ms [PARK2020].
- Packet payload: small (e.g., 50 bytes) and variable bit rate [PARK2020].
- Support between 125 to 4150 nodes [AVIONICS].
- Maximum distance between transmitter and receiver: 15m [AVIONICS].
- Aggregate average data rate of network (kbit/s): 394 to 18385 [AVIONICS].
- Latency: below 5s for High data rate Inside (HI) applications [AVIONICS].
- Jitter: below 50ms for HI applications [AVIONICS].
An example of current standards that may support the deterministic requirements of the WAIC system is IEEE 802.11ax, which is being devised to operate between 1 and 7GHz (in addition to 2.4 GHz and 5GHz). The WAIC requirement for high reliability and bounded latency can be supported by IEEE 802.11ax's ability to split the spectrum in frequency Resource Units (RUs), which are assigned to stations for reception and transmission by a central coordinating entity, the wireless Access Point. Reliability could be explored, for example, by assigning more than one RU to the same station, an aspect that is not covered by IEEE 802.11ax but already under discussion for IEEE 802.11be. By centraly scheduling RUs, contention overhead can be avoided, increasing efficiency in dense deployment scenarios such as WAIC applications. In this context, OFDMA and the concept of spatial reuse are relevant to support large-scale simultaneous transmission while avoiding collision and interference and ensuring high throughput [ROBOTS1].

Additional Reliable Wireless Industrial Services
This section provides examples of additional wireless industrial services, that could be deployed (to a larger extent) in the future, and that would significantly benefit from some deterministic and reliability characteristics. This set of servuces complement the related use cases documented in [RFC8578] and [RFC9450]. We have specifically selected three different examples of such use-cases, based on their specific relevance to wireless deterministic networking and reliability: i) remote AR/VR for maintenance and control; ii) decentralised shop floor communication; and iii) wireless in-cab communication. Based on these examples, recommendations for deployment with wireless determinism and reliability are discussed and a list of specific requirements is provided.

AR/VR Services within Flexible Factories

Description
While video is now being integrated into industrial automation systems and used on the shop floor to assist workers, the integration of AR/VR on the shop floor in industrial environments is still in its initial stages. However, it is being used in the electrical industry to improve worker productivity and safety, and to overlay real-time metadata on equipment being serviced or operated.
In this context, it is important to ensure that the AR/VR traffic does not interfere with the critical traffic of the production system, i.e. performance characteristics such as latency and jitter for the critical traffic must be independent of disturbances. It is also important to provide the AR/VR application with low latency, even at the edge of mobility.

Recommendations related to wireless determinism and reliability
The support of AR/AV in the context of remote maintenance environments is bound to increase in industrial environments, given its relevance in terms of remote maintenance and equipment operation. It is also important to consider its use in the context of worker safety, and it is foreseeable that in the future AV-based remote maintenance will be supported by mobile devices carried by workers on the move. Wireless is therefore a key communications asset for this type of application. In terms of traffic on a converged network, AR/AV is a real-time, bandwidth-intensive service. It therefore requires special treatment (other than Best Effort, BE). In addition, AR/AV traffic flows must not cause interference when transmitted over wireless links. Traffic isolation is therefore an important aspect to ensure for this type of traffic profile.
A third aspect to be addressed in the future is the fact that there will most likely be a need to support multiple AR/AV streams from different end-users within a single Wireless Local Area Network (WLAN), increasing the need for traffic isolation. A fourth issue is that VR systems, if not properly supported, will lead to VR sickness. Specific network and non-network requirements have already been identified by IEEE 802, MPEG, 3GPP. Such requirements include support for higher frame rates, reduction of motion-to-photon latency, higher data rates, low jitter, etc.

Requirements Considerations
Based on the former recommendations, the following list of requirements is identified for wireless determinism and reliability and availability:
- The AR/AV traffic MUST be isolated in order to prevent interference, i.e., it SHOULD have a specific CoS assigned (downlink and uplink).
- Between the wireless devices (stations) and the AP, it is necessary to ensure that the AR/AV traffic is handled in a way that does not interfere with critical traffic.
- Low mobility SHOULD be supported.
- Multi-user support SHOULD be provided.
- VR sickness MUST be prevented [IEEERTA].
- Tight integration of AR/VR systems with production systems SHOULD be addressed in a way that is compatible with the deterministic wired infrastructure. For example, Audio Video Bridging (AVB) in the wired TSN infrastructure. Specifically, AVB is typically blocked by the time-sensitive shaper and affected by TAS, CBS, FIFO and FPNS (fixed priority non-preemptive scheduling).
- A software-based mechanism on the AP SHOULD support appropriate mapping of CoS to the wireless QoS (e.g., EDCA UPs).
- MAC layer contention MUST be mitigated for all wireless stations in the area (within the range of the same AP or not).
Specific communication requirements to be considered are:
- Latency: 3-10ms [IEEERTA].
- Bandwidth, 0.1-2Gbps [IEEERTA].
- Data payload, over 4Kbytes [IEEERTA].

Decentralised Shop-floor Communication Services

Description
The increasing automation of industrial environments implies an increase in the number of integrated nodes, including mobile nodes. For example, wireless is a key driver for scenarios involving mobile vehicles [NICT]. NICT also describes production environments, especially those with high temperatures, where wireless communication is used to support worker safety and remote monitoring of production status. Such environments include different applications (e.g., worker safety, mobile robots, factory resource management) and debate on the interconnection of different wireless technologies and devices, from PLCs, to autonomous mobile robots, e.g., UAVs, AGVs. Wireless/wired integration mechanisms have also been discussed in the cost of self-organising production lines [DIETRICH2018]. Therefore, the concept of flexible and heterogeneous shop-floor communication is already present in industrial environments, based on hybrid wired/wireless systems and the integration of multi-AP environments.

Recommendations related to wireless determinism and reliability
Previous related work discusses centralised communication architectures (infrastructure mode), and for this case, the connectivity issue is usually circumvented by multi-AP coordination mechanisms. In the context of multi-AP coordination, and assuming TDMA-based communication, a well-organised schedule can prevent collisions [FERN2019]. Therefore, for this specific type of scenario, the main issue is to handle handovers in a timely and accurate manner that can provide deterministic guarantees. However, as the number of nodes in the shop floor increases, the connectivity problem becomes more complex.
It is therefore relevant to also explore the possibility of a "decentralised" approach to factory communication, considering both mobile and static nodes. In this case, and from a topology perspective, wireless industrial services are expected to be provided in both ad-hoc and infrastructure modes. Within the ad-hoc communication domains, there is control-based traffic integrated with sensing (critical, non-critical), with real-time traffic as well as time-triggered traffic. Each node is responsible for managing its access to the medium, requiring a cooperative protocol approach.

Requirements Considerations
Based on the former recommendations, the following list of requirements is identified for wireless determinism and reliability and availability:
- A wider variety of traffic profiles MUST be supported, thus increasing the management complexity.
- Devices communicating via ad-hoc mode MUST integrate a collaborative communication approach, e.g., relaying, cluster-based scheduling approach.
- Low mobility MUST be supported (e.g., up to 2 m/s within a BSS).
- Multi-AP coordination MUST still be integrated.
- Frequent handover MUST be supported, ideally with a make-before-break approach.
- Neighbor detection and coverage problem detection MUST be implemented in ad-hoc nodes.
We list next some key specific communication requirements:
- Latency: 20-40ms [ROBOTS1].
- Packet payload: small (e.g., 50 bytes) and variable bit rate [ROBOTS1].

Autonomous Airborne Services
### Description
Over the last decade several services have emerged that rely on the autonomous (full or partial) operation of airborne systems. Examples of such systems are: logistics drones; swarm of drones (e.g. for surveillance); urban air mobility [UAM18]; single-pilot operation of commercial aircraft [BBN8436].
Such autonomous airborne systems rely on advances in communications, navigation, and air traffic management to mitigate the significant workload of autonomous operations, namely through collaborative air-ground decision making. Such decision making processes rely on an expanded role for ground operators, including tactical (re-routing) and emergency flight phases, and higher levels of decision support including real-time system monitoring.
Such a collaborative air-ground decision-making process is only possible with the support of a reliable wireless network capable of supporting the required data exchange (of different traffic types) within significant constraints in terms of delay and error avoidance.

Recommendations related to wireless determinism and reliability
Irrespective of the type of application (logistics, surveillance, urban air mobility, single pilot operation), an autonomous airborne system can be modelled as a multi-agent system in which agents need to use a wireless network to communicate reliably with each other and, possibly, with a control entity. The nature and position of such agents will vary from application to application. For example, all agents may be collocated in the same or different aircraft.
A powerful and reliable wireless network plays an important role in meeting the challenges of autonomous airborne systems, such as coordination and collaboration strategies, control mechanisms and mission planning algorithms. Therefore, wireless technologies will play a central role in creating the required network system, including air-to-air communications (single or multi-hop), but also air-to-ground communications.
Air-to-air communications allow all airborne agents to establish efficient communications, enabling the reception of error-pruned data exchanged within the required timeframes. For example, in a swarm, drones can communicate with each other either directly or indirectly by establishing multi-hop communication paths with other drones.
In air-to-ground communications, airborne agents communicate with a control centre, such as a ground station, to receive real-time updated information (e.g. mission-related). Air-to-ground communications are usually direct.
Air-to-air and air-to-ground communications are combined by a communication architecture, which can be of different types. In small autonomous systems (single drones used for logistics), a central control station is used with enough power to communicate with the drone. In autonomous systems with a large number of agents, a decentralised approach should be used.

Requirements Considerations
When analysing the main characteristics of wireless communication architectures, the requirements of high coverage and maintaining connectivity should be given first priority. The former plays an important role in gathering the information needed to operate the autonomous system, while maintaining connectivity ensures real-time communication within the system.
However, autonomous systems may operate in unfamiliar environments, with unpredictable threats and obstacles in time and space. Therefore, such systems should rely on wireless technology with high levels of reliability and availability. For example, wireless technology that can keep two neighbouring agents connected even if their direct link falls below the required minimum signal-to-noise ratio (SNR) or receive signal strength indicator (RSSI) range. At a system level, wireless network technologies, such as routing, should be able to cognitively respond to changes in the environment to adapt the communication system to ensure the required coverage and connectivity levels.
In this sense, it is necessary to study routing protocols capable of ensuring the desired level of reliability and availability of the overall system. This means that the wireless routing function should fulfil a number of requirements, including:
- Suitable for dynamic topologies.
- Scalable with the number of networked agents.
- Ensure low values of packet delays (KPI depends upon the specific application).
- Ensure high values of packet delivery (KPI depends upon the specific application).
- Ensure fast recovery in the presence of interrupted communications.
- Ensure low cost in terms of the utilization of network resources (e.g. network queues, transmission opportunities).
- Ensure high robustness to link failure.

Security Considerations
This document describes industrial services communication requirements for the integration of reliable Wi-Fi technologies. The different services have security considerations which have been described in the respective sources [IEEERTA], [NICT], [IIC], [AVNU2020], [ACIA].

IANA Considerations
This document has no IANA actions.

Acknowledgments
We thank the following former contributors: Matthias Kovatsch.
The research leading to these results received funding in 2021 from the joint fortiss GmbH and Huawei project TSNWiFi (https://www.fortiss.org/en/research/projects/detail/tsnwifi(https://www.fortiss.org/en/research/projects/detail/tsnwifi)).
The work of Carlos J. Bernardos in this document has been partially supported by the Horizon Europe PREDICT-6G (Grant 101095890), DESIRE6G (Grant 101096466), Hexa-X-II (101095759) and UNICO I+D 6G-DATADRIVEN-04 project (TSI-063000-2021-132).

Normative References

Informative References
[NENDICA]

IEEE 802 Nendica Report, Flexible Factory IoT-Use Cases and Communication Requirements for Wired and Wireless Bridged Networks
Nader Zein
2020
[IIC]

Time Sensitive Networks for Flexible Manufacturing Testbed Characterization and Mapping of Converged Traffic Types
M. Linehan
2020
[AVIONICS]

Wireless Avionics Intra-Communications, A Survey of Benefits, Challenges, and Solutions, pp. 1-24
P. Park, P. Di Marco, J. Nah, and C. Fischione
2020
[ROBOTS1]

Flexible Wi-Fi Communication among Mobile Robots in Indoor Industrial Environments, Mob. Inf. Syst.
J. Haxhibeqiri, E. A. Jarchlo, I. Moerman, and J. Hoebeke
2018
[WAIC]

Technical characteristics and operational objectives for wireless avionics intra-communications, Policy, vol. 2197, p. 58,
International Telecommunication Union
[AVNU2020]

Avnu Alliance White Paper Wireless TSN-Definitions, Use Cases & Standards Roadmap
S. Bush
Avnu Alliance
2020
[ACIA]

5G for Connected Industries and Automation
5G ACIA
November 2019
[NICT]

Wireless use cases and communication requirements in factories ( abridged edition ), Flex. Factories Proj
NICT
February 2018
[IEEERTA]

IEEE 802.11 Real Time Applications TIG Report
K. Meng
2018
[OPCFLC]

OPC Foundation Field Level Communications (FLC) Initiative
September 2020
[DIETRICH2018]

Frame conversion schemes for cascaded wired/wireless communication networks of factory automation, Mobile Networks and Applications, 23(4), 817-827
Dietrich, S., May, G., von Hoyningen-Huene, J., Mueller, A., & Fohler, G.
2018
[FERN2019]

Analysis of the Impact of Wireless Mobile Devices in Critical Industrial Applications
Z. Fernandez Ganzabal
May 2019
[PARK2020]

Wireless Avionics Intra-Communications, A Survey of Benefits, Challenges, and Solutions. IEEE Internet of Things Journal
Park, Pangun, et al.
2020
[BBN8436]

Single pilot commercial aircraft operation. BBN Report.
Deutsch, Stephen, and Richard W. Pew
BBN Technologies, Cambridge, MA, USA
2005
[UAM18]

A performance benchmark of recent personal air vehicle concepts for urban air mobility. Proceedings of the 31st Congress of the International Council of the Aeronautical Sciences, Belo Horizonte, Brazil
Shamiyeh, Michael, Raoul Rothfeld, and Mirko Hornung
2018
[RFC2119]
[RFC8578]
[RFC9450]